Skip to content
Navigation

List entity filing calendar

GET
https://api.sureshake.com/v2/entities/{entityId}/filing-calendar

Path parameters

  • entityId
    string
    required
    format: uuid

Query parameters

  • publicOnly
    optional
    boolean

Returns

200

Default Response

JSON
  • id
    string
    required
    format: uuid
  • entityId
    string
    required
    format: uuid
  • title
    string
    required
  • filingType
    string
    required
  • schemaType
    string
    or null
    required
  • cadence
    string
    required
  • periodLabel
    string
    or null
    required
  • plannedReleaseDate
    string
    required
    pattern: ^\d{4}-\d{2}-\d{2}$
  • status
    planned
    or
    published
    or
    delayed
    or
    cancelled
    required
  • isPublic
    boolean
    required
  • notes
    string
    or null
    required
  • publishedAt
    string
    or null
    required
  • publishedFilingId
    string
    or null
    required
    format: uuid
  • createdBy
    string
    required
  • createdAt
    string
    required
  • updatedAt
    string
    required

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close